Pixel
GET https://0o0.online/api/pixels/
curl --request GET \
--url 'https://0o0.online/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| Parametry | Szczegóły | Opis |
|---|---|---|
| search | Opcjonalne Źródło | Strumień wyszukiwania . |
| search_by | Opcjonalne Źródło | Jakie pola szukasz? wartości dozwolone to: name, pixel. |
| type | Opcjonalne Źródło | Pozwolone wartości: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| datetime_field | Opcjonalne Źródło | Pozwolone wartości: datetime, last_datetime |
| datetime_start | Opcjonalne Źródło | Filtrowanie wyników rozpoczynających się od tej daty. Y-m-d H:i:s w formacie . |
| datetime_end | Opcjonalne Źródło | Filtruje wyniki do tej daty. Y-m-d H:i:s w formacie . |
| order_by | Opcjonalne Źródło | Jakie pola do zamówienia wyników przez. Wartości dopuszczone są: pixel_id, datetime, last_datetime, name. |
| order_type | Opcjonalne Źródło | Wymagania wyników. dopuszczone wartości to: ASC w celu podniesienia zamówienia, oraz DESC Na zamówienie w dół. |
| page | Opcjonalne Wnętrze | Numer strony, z której chcesz wyniki. 1. |
| results_per_page | Opcjonalne Wnętrze | Ile wyników chcesz na stronę. wartości dozwolone są: 10, 25, 50, 100, 250, 500, 1000. Wady do 25. |
{
"data": [
{
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-10-16 01:35:33",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/pixels?page=1",
"last": "https://0o0.online/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/pixels?page=1"
}
}
GET https://0o0.online/api/pixels/{pixel_id}
curl --request GET \
--url 'https://0o0.online/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-10-16 01:35:33",
}
}
POST https://0o0.online/api/pixels
| Parametry | Szczegóły | Opis |
|---|---|---|
| type | Wymagane Źródło | Pozwolone wartości: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | Wymagane Źródło | - |
| pixel | Wymagane Źródło | - |
curl --request POST \
--url 'https://0o0.online/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://0o0.online/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1
}
}
POST https://0o0.online/api/pixels/{pixel_id}
| Parametry | Szczegóły | Opis |
|---|---|---|
| type | Opcjonalne Źródło | Pozwolone wartości: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | Opcjonalne Źródło | - |
| pixel | Opcjonalne Źródło | - |
curl --request POST \
--url 'https://0o0.online/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://0o0.online/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1
}
}
DELETE https://0o0.online/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://0o0.online/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \